Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(40)

Issue 2567243005: WindowAudioWorklet should use ContextLifecycleObserver instead of DOMWindowProperty (Closed)

Created:
11 months, 1 week ago by haraken
Modified:
11 months, 1 week ago
Reviewers:
kinuko, nhiroki
CC:
chromium-reviews, blink-reviews, haraken, Raymond Toy, hongchan
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

WindowAudioWorklet should use ContextLifecycleObserver instead of DOMWindowProperty We're deprecating DOMWindowProperty. So this CL replaces it with ContextLifecycleObserver. Also this CL adds a comment why WindowAudioWorklet needs to clear m_audioWorklet in contextDestroyed(). BUG=610176 Committed: https://crrev.com/c07e945885e83b4ec9157c62891d8e62d8d7eb38 Cr-Commit-Position: refs/heads/master@{#439068}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -13 lines) Patch
M third_party/WebKit/Source/modules/webaudio/WindowAudioWorklet.h View 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/WindowAudioWorklet.cpp View 3 chunks +20 lines, -9 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   mac_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   win_chromium_x64_rel_ng   win_clang   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 

Messages

Total messages: 17 (8 generated)
haraken
PTAL This is a AudioWorklet version of https://codereview.chromium.org/2571753002/
11 months, 1 week ago (2016-12-14 12:55:32 UTC) #2
haraken
kinuko-san: Would you take a look? This is an AudioWorklet version of https://codereview.chromium.org/2571753002/
11 months, 1 week ago (2016-12-14 16:12:04 UTC) #4
nhiroki
lgtm
11 months, 1 week ago (2016-12-15 01:04:02 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2567243005/1
11 months, 1 week ago (2016-12-15 01:16:20 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_compile_dbg_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/315186)
11 months, 1 week ago (2016-12-15 01:24:51 UTC) #9
kinuko
lgtm/2
11 months, 1 week ago (2016-12-15 04:54:21 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2567243005/1
11 months, 1 week ago (2016-12-16 05:33:38 UTC) #12
commit-bot: I haz the power
Committed patchset #1 (id:1)
11 months, 1 week ago (2016-12-16 08:26:31 UTC) #15
commit-bot: I haz the power
11 months, 1 week ago (2016-12-16 08:28:47 UTC) #17
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/c07e945885e83b4ec9157c62891d8e62d8d7eb38
Cr-Commit-Position: refs/heads/master@{#439068}

Powered by Google App Engine
This is Rietveld efc10ee0f